<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
</head>
<body>
    <div id="app">
        <form @submit.prevent="submitFrom()">
            <p v-if="errors.length">
                <b>Please correct the following errors :</b>
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </p>
            <label>Name : </label>
            <input type="text" name="name" ref="name" v-model="name">
            <label>Address : </label>
            <textarea type="text" name="address" ref="address" v-model="address">
            <label>No. Hp : </label>
            <input type="text" name="no_hp" ref="no_hp" v-model="no_hp">
            <input type="submit" value="SUBMIT">
        </form>

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                name : '',
                address : '',
                no_hp : '',
                errors : []
            },
            methods: {
                submitFrom : function(){
                    this.errors = []

                    if (this.name.length < 20){
                        this.errors.push('Nama minimal 20 karakter')
                        this.$refs.name.focus()
                    }

                    if (this.address.length > 50){
                        this.errors.push('Alamat tidak boleh lebih dari 50 karakter')
                        this.$refs.address.focus()
                    }

                    if (this.no_hp.length < 12){
                        this.errors.push('No. HP minimal 12 karakter')
                        this.$refs.no_hp.focus()
                    }

                    if (this.errors.length === 0){
                        alert('Terima kasih anda telah mengisi data dengan benar!')
                    }
                
                },

                getBlogs : function(){
                    
                    const config = {
                        method : "get",
                        url : "http://demo-api-vue.sanbercloud.com/api/member"
                    }
                    
                    axios(config)
                        .then( (response) => {
                            console.log(response.data);
                        })
                        .catch( (error) => {
                            console.log(error);
                        })  

                },

                created(){
                    this.getBlogs()
                }

                /*axios.post('/user', {
                    new_name : this.name,
                    new_address : this.address,
                    new_no_hp : this.no_hp,
                })
                .catch(err => {
                    //handle error
                    console.log(err);
                });
                */

            },
            
        })
    </script>
</body>
</html>
